Mail archive
alpine-user

Re: [alpine-user] Mongo DB Tools

From: Cág <ca6c_at_bitmessage.ch>
Date: Sun, 8 Apr 2018 08:58:15 +0000

Gabor Toth wrote:

> I am building a Docker Image from node:8-Alpine, and I am trying to
> add not only mongodb but also mongodb-tools (mongorestore, mongodump
> etc commands), and apk add mongodb-tools is not working:
> Can you please let me know how to install mongodb-tools?

Hi,

libsasl2-dev is a non-existent package. "apk add mongodb-tools" works
in edge. Which version are you using? In 3.7 the dependencies are:
libpcap, libressl2.6-libcrypto, libress2.6-libssl, libsasl, musl.
In edge: libpcap, libsasl, musl. cyrus-sasl-dev is needed to build it.

Cheers

--
caóc
---
Unsubscribe:  alpine-user+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-user+help_at_lists.alpinelinux.org
---
Received on Sun Apr 08 2018 - 08:58:15 UTC